From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/moreutils/
Date: Fri, 24 Dec 2021 07:38:06 +0000 (UTC) [thread overview]
Message-ID: <1640331407.414758b0178ef0ce03ce2fb3fe32b72b62f8d11d.sam@gentoo> (raw)
commit: 414758b0178ef0ce03ce2fb3fe32b72b62f8d11d
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 24 07:36:47 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Dec 24 07:36:47 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=414758b0
sys-apps/moreutils: add 0.67
Signed-off-by: Sam James <sam <AT> gentoo.org>
sys-apps/moreutils/Manifest | 1 +
sys-apps/moreutils/moreutils-0.67.ebuild | 72 ++++++++++++++++++++++++++++++++
2 files changed, 73 insertions(+)
diff --git a/sys-apps/moreutils/Manifest b/sys-apps/moreutils/Manifest
index 74618f04f56e..73b06b624180 100644
--- a/sys-apps/moreutils/Manifest
+++ b/sys-apps/moreutils/Manifest
@@ -1,2 +1,3 @@
DIST moreutils-0.65.tar.gz 93180 BLAKE2B 2105cc281b9f4c9598bb0cdd5a4b9b8042e77eb14de323ba889c182c956b00d7b8a899c4112542e0a3d513fd961ee0ed6c82dd2dbefffe50e1d4fd326919ef4f SHA512 dcad2a3b6d9621da6d2f860f39acb04c80d42cc2123e12a6ec84524f6a1fc7f5ae4bd5d00e698fe14d4c5e7d491d790970ce4370c9abd1f63318d1c512f596b9
DIST moreutils-0.66.tar.gz 93387 BLAKE2B 783ed558f0f77c2b384a1aa8852243242ce24e44e40b58f92e2179308df9cc3a27142820a7743c25ba4529a4b7ea7ae20c1fc02b86324638a7d13ad7536c6b21 SHA512 6c5f8b677d9912cf4e7aabf442361c89d23767f2a5df0a2c29ab72314e1ed3767a0a7a7abaa5044cf73ef877184d16e1d58e340780971e9e1299857756aca6a3
+DIST moreutils-0.67.tar.gz 93627 BLAKE2B 4b8788411f1300ccffa10a52a327ee676b2a241531dafc2106495977ffd29a5b32c91c0afb6425b5797bfea04fa98a3cfd69e034cffc2fb255f5e8505d3b3474 SHA512 3a395fa80c1c1d769ec078cbf9455952201a364d8264796c6443a397ed7fa4f08250ecd140f047cf2e9533d6fc5310b3a579a7c083a5bc4cb4672d39c35dab75
diff --git a/sys-apps/moreutils/moreutils-0.67.ebuild b/sys-apps/moreutils/moreutils-0.67.ebuild
new file mode 100644
index 000000000000..3ba226c6231c
--- /dev/null
+++ b/sys-apps/moreutils/moreutils-0.67.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit toolchain-funcs
+
+DESCRIPTION="A collection of tools that nobody thought to write when Unix was young"
+HOMEPAGE="https://joeyh.name/code/moreutils/ https://git.joeyh.name/index.cgi/moreutils.git/"
+# Not available at time of release
+#SRC_URI="mirror://debian/pool/main/${PN:0:1}/${PN}/${PN}_${PV}.orig.tar.xz"
+SRC_URI="https://git.joeyh.name/index.cgi/moreutils.git/snapshot/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~x86-linux ~x64-macos"
+IUSE="+doc +perl"
+
+RDEPEND="perl? (
+ dev-lang/perl
+ dev-perl/IPC-Run
+ dev-perl/Time-Duration
+ dev-perl/TimeDate
+ )"
+BDEPEND="doc? (
+ >=app-text/docbook2X-0.8.8-r2
+ app-text/docbook-xml-dtd:4.4
+ dev-lang/perl
+ )"
+IDEPEND="app-admin/eselect"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.64-respect-env.patch
+)
+
+src_prepare() {
+ # don't build manpages
+ if ! use doc ; then
+ sed -i -e '/^all:/s/$(MANS)//' -e '/man1/d' Makefile || die
+ fi
+
+ # don't install perl scripts
+ if ! use perl ; then
+ sed -i -e '/PERLSCRIPTS/d' Makefile || die
+ fi
+
+ default
+}
+
+src_compile() {
+ tc-export CC
+
+ emake \
+ CFLAGS="${CFLAGS}" \
+ DOCBOOKXSL="${BROOT}"/usr/share/sgml/docbook/xsl-stylesheets \
+ PREFIX="${EPREFIX}/usr"
+}
+
+src_install() {
+ emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" INSTALL_BIN=install install
+
+ # sys-process is more advanced than parallel from moreutils, rename it
+ if use doc; then
+ mv "${ED}"/usr/share/man/man1/{,${PN}_}parallel.1 || die
+ fi
+
+ mv "${ED}"/usr/bin/{,${PN}_}parallel || die
+}
+
+pkg_postinst() {
+ # Try to make sure ${EDITOR} is valid for vipe (bug #604630)
+ eselect editor update
+}
next reply other threads:[~2021-12-24 7:38 UTC|newest]
Thread overview: 71+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-12-24 7:38 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-14 6:39 [gentoo-commits] repo/gentoo:master commit in: sys-apps/moreutils/ Sam James
2025-01-22 7:54 Sam James
2025-01-22 7:54 Sam James
2025-01-22 7:54 Sam James
2025-01-22 7:29 Sam James
2024-12-13 13:58 Sam James
2024-04-29 13:42 Sam James
2024-04-29 13:42 Sam James
2024-04-29 5:50 Sam James
2024-04-29 5:48 Sam James
2024-02-29 4:22 Sam James
2024-02-29 4:22 Sam James
2024-01-07 12:42 Arthur Zamarin
2024-01-07 12:42 Arthur Zamarin
2024-01-07 9:31 Sam James
2024-01-07 9:31 Sam James
2023-12-03 9:02 Sam James
2023-02-01 7:38 Sam James
2022-02-20 5:51 Sam James
2022-01-26 5:06 Sam James
2022-01-26 5:06 Sam James
2022-01-26 5:06 Sam James
2022-01-26 5:04 Sam James
2022-01-01 9:38 Sam James
2021-10-27 4:13 Sam James
2021-10-26 3:14 Sam James
2021-10-21 23:28 Sam James
2021-10-21 23:28 Sam James
2021-09-20 2:39 Sam James
2021-02-15 1:51 Sam James
2021-02-15 1:49 Sam James
2021-02-13 21:15 Sam James
2021-02-03 23:55 Thomas Deutschmann
2021-02-02 21:00 Sam James
2021-01-03 23:20 Sam James
2021-01-03 23:17 Sam James
2020-11-28 9:17 Sam James
2020-11-28 9:13 Sam James
2020-11-28 9:11 Sam James
2020-10-06 13:09 Sam James
2020-10-02 21:00 Sam James
2020-10-02 15:22 Sergei Trofimovich
2020-09-02 23:33 Sam James
2020-07-08 20:50 Sam James
2020-07-08 20:50 Sam James
2020-06-06 18:01 Michał Górny
2020-05-13 21:07 Mart Raudsepp
2020-03-31 8:39 Joonas Niilola
2020-01-16 12:32 Tim Harder
2019-12-19 18:35 Sergei Trofimovich
2019-12-15 13:53 Agostino Sarubbo
2019-12-15 12:44 Agostino Sarubbo
2019-11-17 22:10 Tim Harder
2019-04-03 4:46 Tim Harder
2019-01-04 6:40 Tim Harder
2018-02-03 9:15 Tim Harder
2018-02-03 9:15 Tim Harder
2017-09-16 21:43 Sergei Trofimovich
2017-09-03 17:23 Tim Harder
2017-08-31 15:46 Tim Harder
2017-04-27 7:35 Tim Harder
2017-04-27 7:22 Tim Harder
2017-02-05 13:19 Jeroen Roovers
2017-01-04 19:51 Tim Harder
2017-01-04 19:42 Tim Harder
2016-08-19 10:07 Pacho Ramos
2016-08-19 3:26 Tim Harder
2016-07-21 2:06 Tim Harder
2016-03-12 7:16 Tim Harder
2015-08-25 2:47 Tim Harder
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1640331407.414758b0178ef0ce03ce2fb3fe32b72b62f8d11d.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox